Summary:	GNOME Screenshot utility
Summary(pl.UTF-8):	Narzędzie GNOME do robienia zrzutów ekranu
Name:		gnome-screenshot
Version:	41.0
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	https://download.gnome.org/sources/gnome-screenshot/41/%{name}-%{version}.tar.xz
# Source0-md5:	3d0199188d8ba07399e468a61e0174e8
URL:		https://gitlab.gnome.org/GNOME/gnome-screenshot
BuildRequires:	gettext-tools >= 0.17
BuildRequires:	glib2-devel >= 1:2.36.0
BuildRequires:	gtk+3-devel >= 3.12.0
BuildRequires:	libcanberra-gtk3-devel
BuildRequires:	libhandy1-devel >= 0.90.0
BuildRequires:	meson >= 0.50.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig >= 1:0.22
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xz
Requires(post,postun):	glib2 >= 1:2.36.0
Requires:	glib2 >= 1:2.36.0
Requires:	gtk+3 >= 3.12.0
Requires:	libhandy1 >= 0.90.0
Provides:	gnome-utils-screenshot = 1:%{version}-%{release}
Obsoletes:	gnome-utils-screenshot < 1:3.3.91-1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME Screenshot is a small utility that takes a screenshot of the
whole desktop; the currently focused window; or an area of the screen.

%description -l pl.UTF-8
GNOME Screenshot to małe narzędzie wykonujące zrzut ekranu: całego
pulpitu, bieżącego okna lub pewnego obszaru ekranu.

%prep
%setup -q

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas

%postun
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README.md
%attr(755,root,root) %{_bindir}/gnome-screenshot
%{_datadir}/dbus-1/services/org.gnome.Screenshot.service
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-screenshot.gschema.xml
%{_datadir}/metainfo/org.gnome.Screenshot.metainfo.xml
%{_desktopdir}/org.gnome.Screenshot.desktop
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Screenshot.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Screenshot-symbolic.svg
%{_mandir}/man1/gnome-screenshot.1*
%changelog
* Tue Nov 16 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-screenshot.git;a=log;h=master

* Mon Nov 15 2021 Jakub Bogusz <qboosh@pld-linux.org> 3fc232f
- updated to 41.0

* Sat Apr 03 2021 Jakub Bogusz <qboosh@pld-linux.org> c4773b5
- updated to 40.0

* Thu Sep 10 2020 Jakub Bogusz <qboosh@pld-linux.org> ccb57d4
- updated to 3.38.0

* Mon Apr 27 2020 Jakub Bogusz <qboosh@pld-linux.org> 7824564
- updated to 3.36.0

* Sat Oct 19 2019 Jakub Bogusz <qboosh@pld-linux.org> 302308b
- updated to 3.34.0; uses meson now

* Sat May 13 2017 Jakub Bogusz <qboosh@pld-linux.org> b015285
- updated to 3.22.0

* Sat Oct 24 2015 Jakub Bogusz <qboosh@pld-linux.org> ec3990f
- updated to 3.18.0

* Tue May 26 2015 Jakub Bogusz <qboosh@pld-linux.org> ab1a808
- updated to 3.16.2

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 9205957
- updated gettext BR

* Mon Mar 31 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 85e5c3f
- Update to 3.12.0

* Wed Nov 20 2013 Łukasz Kieś <kiesiu@pld-linux.org> 4bf9188
- updated to 3.10.1

* Sun Sep 29 2013 Marcin Banasiak <marcin.banasiak@gmail.com> b25054a
- Update to 3.10.0

* Sun Jul 14 2013 Łukasz Kieś <kiesiu@pld-linux.org> cbcb667
- updated to 3.8.3

* Sun May 19 2013 Łukasz Kieś <kiesiu@pld-linux.org> 2fa315c
- updated to 3.8.2

* Mon Apr 22 2013 Łukasz Kieś <kiesiu@pld-linux.org> ca5ba05
- updated to 3.8.1

* Thu Mar 28 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 3183d9a
- Update to 3.8.0

* Tue Nov 20 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 0e27b16
- Update to 3.6.1

* Tue Apr 17 2012 Marcin Banasiak <marcin.banasiak@gmail.com> cbe5e7f
- updated to 3.4.1

* Fri Apr 06 2012 Elan Ruusamäe <glen@pld-linux.org> 045cef8
- missing epoch

* Mon Mar 26 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 86eb70a
- updated to 3.4.0

